package com.topsail.uartBackend.uart.service;

import com.topsail.uartBackend.uart.entity.DeviceCommand;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 设备-指令 关联表 服务类
 * </p>
 *
 * @author lj
 * @since 2022-08-01
 */
public interface DeviceCommandService extends IService<DeviceCommand> {

/**
*分页查询
*/
public List<DeviceCommand> pageList(DeviceCommand deviceCommand,Integer pageNo, Integer pageSize);

    Boolean deleteByDevice(Integer deviceDetailId);

    @Transactional
    Boolean insertList(DeviceCommand deviceCommand);

    @Transactional
    Boolean updateList(List<DeviceCommand> deviceCommands);
}
