
package ${package.Controller};


import com.topsail.uartBackend.core.CodeMsg;
import ${package.Service}.${table.serviceName};
import ${package.Entity}.${entity};
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;



/**
*
* Created by pz on '${.now?string('yyyy-MM-dd HH:mm:ss')}'.
*/
@RestController
//@RequestMapping("<#if package.ModuleName??>/${package.ModuleName}</#if>/<#if controllerMappingHyphenStyle??>${controllerMappingHyphen}<#else>${table.entityPath}</#if>")
@RequestMapping("${entity?uncap_first}")

public class ${entity}Controller {

    @Autowired
    private ${entity}Service ${entity?uncap_first}Service;

    /**
    * 新增
    */
    @PostMapping("/insert${entity}")
    public Result insert${entity}( @RequestBody ${entity} ${entity?uncap_first}){
        boolean rsp= ${entity?uncap_first}Service.save(${entity?uncap_first});
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */
    @DeleteMapping("/delete${entity}/{id}")
       public Result delete${entity}(@PathVariable Integer id){
        boolean rsp= ${entity?uncap_first}Service.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/update${entity}")
    public Result update${entity}(@RequestBody ${entity} ${entity?uncap_first}){
        boolean rsp= ${entity?uncap_first}Service.updateById(${entity?uncap_first});
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/get${entity}List")

    public Result pageList(${entity} ${entity?uncap_first},@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(${entity?uncap_first}Service.pageList(${entity?uncap_first},pageNo,pageSize)));
    }

}
