package ${package.ServiceImpl};

import ${package.Entity}.${entity};
import ${package.Mapper}.${table.mapperName};
import ${package.Service}.${table.serviceName};
import ${superServiceImplClassPackage};
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * ${table.comment!} 服务实现类
    * </p>
*
* @author ${author}
* @since ${date}
*/
@Service
<#if kotlin>
open class ${table.serviceImplName} : ${superServiceImplClass}<${table.mapperName}, ${entity}>(), ${table.serviceName} {

}
<#else>
@Slf4j
public class ${table.serviceImplName} extends ${superServiceImplClass}<${table.mapperName}, ${entity}> implements ${table.serviceName} {


    @Autowired
    private ${entity}Mapper ${entity?uncap_first}Mapper;

    /**
    *分页查询
    */
     @Override
     public List<${entity}> pageList(${entity} ${entity?uncap_first},Integer pageNo, Integer pageSize) {
            QueryWrapper<${entity}> wrapper = new QueryWrapper<>();
            wrapper.setEntity(${entity?uncap_first});
            PageHelper.startPage(pageNo,pageSize);
            List<${entity}> list=list(wrapper);
            return list;
        }
}
</#if>