package com.topsail.uartBackend.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import org.apache.ibatis.reflection.MetaObject;

import java.util.Date;

/**
 * <描述>
 *
 * @author lj
 * @date 2022/07/20  9:40
 */
public class MybatisObjectHandler implements MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {
        if (metaObject.hasSetter("createTime")){
            setFieldValByName("createTime",new Date(),metaObject);
        }
        if (metaObject.hasSetter("updateTime")){
            setFieldValByName("updateTime",new Date(),metaObject);
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        if(metaObject.hasSetter("updateTime")){
            setFieldValByName("updateTime",new Date(),metaObject);
        }
    }
}
