package com.topsail.uartBackend.uart.service.Impl;

import com.topsail.uartBackend.uart.entity.CommandCollection;
import com.topsail.uartBackend.uart.mapper.CommandCollectionMapper;
import com.topsail.uartBackend.uart.service.CommandCollectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * 指令集合表 服务实现类
    * </p>
*
* @author lj
* @since 2022-08-01
*/
@Service
@Slf4j
public class CommandCollectionServiceImpl extends ServiceImpl<CommandCollectionMapper, CommandCollection> implements CommandCollectionService {


    @Autowired
    private CommandCollectionMapper commandCollectionMapper;

    /**
    *分页查询
    */
     @Override
     public List<CommandCollection> pageList(CommandCollection commandCollection,Integer pageNo, Integer pageSize) {
            QueryWrapper<CommandCollection> wrapper = new QueryWrapper<>();
            wrapper.setEntity(commandCollection);
            PageHelper.startPage(pageNo,pageSize);
            List<CommandCollection> list=list(wrapper);
            return list;
        }
}
