package com.topsail.uartBackend.uart.service.Impl;

import com.topsail.uartBackend.uart.entity.CommandDetail;
import com.topsail.uartBackend.uart.mapper.CommandDetailMapper;
import com.topsail.uartBackend.uart.service.CommandDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * VIEW 服务实现类
    * </p>
*
* @author lj
* @since 2022-08-01
*/
@Service
@Slf4j
public class CommandDetailServiceImpl extends ServiceImpl<CommandDetailMapper, CommandDetail> implements CommandDetailService {


    @Autowired
    private CommandDetailMapper commandDetailMapper;

    /**
    *分页查询
    */
     @Override
     public List<CommandDetail> pageList(CommandDetail commandDetail,Integer pageNo, Integer pageSize) {
            QueryWrapper<CommandDetail> wrapper = new QueryWrapper<>();
            wrapper.setEntity(commandDetail);
            PageHelper.startPage(pageNo,pageSize);
            List<CommandDetail> list=list(wrapper);
            return list;
        }
}
