package com.topsail.uartBackend.uart.service.Impl;

import com.topsail.uartBackend.uart.entity.DeviceConfigDetail;
import com.topsail.uartBackend.uart.mapper.DeviceConfigDetailMapper;
import com.topsail.uartBackend.uart.service.DeviceConfigDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * 所有类型设备的详细配置表 服务实现类
    * </p>
*
* @author lj
* @since 2022-08-01
*/
@Service
@Slf4j
public class DeviceConfigDetailServiceImpl extends ServiceImpl<DeviceConfigDetailMapper, DeviceConfigDetail> implements DeviceConfigDetailService {


    @Autowired
    private DeviceConfigDetailMapper deviceConfigDetailMapper;

    /**
    *分页查询
    */
     @Override
     public List<DeviceConfigDetail> pageList(DeviceConfigDetail deviceConfigDetail,Integer pageNo, Integer pageSize) {
            QueryWrapper<DeviceConfigDetail> wrapper = new QueryWrapper<>();
            wrapper.setEntity(deviceConfigDetail);
            PageHelper.startPage(pageNo,pageSize);
            List<DeviceConfigDetail> list=list(wrapper);
            return list;
        }
}
