package com.topsail.uartBackend.user.service.Impl;

import com.topsail.uartBackend.user.entity.User;
import com.topsail.uartBackend.user.mapper.UserMapper;
import com.topsail.uartBackend.user.service.UserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * 用户表 服务实现类
    * </p>
*
* @author lj
* @since 2022-07-19
*/
@Service
@Slf4j
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {


    @Autowired
    private UserMapper userMapper;

    /**
    *分页查询
    */
     @Override
     public List<User> pageList(User user,Integer pageNo, Integer pageSize) {
            QueryWrapper<User> wrapper = new QueryWrapper<>();
            wrapper.setEntity(user);
            PageHelper.startPage(pageNo,pageSize);
            List<User> list=list(wrapper);
            return list;
        }
}
